ubuntu下Qt cannot find -lGL错误的解决方法

原创 2013年12月02日 15:00:07
 在ubuntu下使用Qt 编译时候遇上了cannot find -lGL错误,使用命令


sudo apt-get install libqt4-dev或者sudo apt-get install libgl1-mesa-dev或者libgl1-mesa-dev或者libglu1-mesa-dev


可以解决问题 


之前可以先apt-get install update一下



我遇到的Linux的错误集合:

1:ps -aux | grep corseGui  查找corseGui的进程


kill -s 9 5283  杀死corseGui的进程


2:键盘输入法不支持中文 显示为??,需要从word里面复制粘贴


3.数组批量赋值 必须在定义的时候才可以。

版权声明:本文为博主原创文章,未经博主允许不得转载。

相关文章推荐

Ubuntu环境QT出现:-1: error: cannot find -lGL(已解决)

error: cannot find -lGL

CentOS遇到Qt编译问题的解决方案(error: cannot find -lGL)

笔者CentOS 6.6 64位,安装完成Qt5.5.1。随意新建一个Qt Widgets Application。 结果遇到Qt编译问题,提示信息如下: error: cannot find -lG...

Qt 之 运行Qt Creator出现cannot find -lGL的问题的两种解决

网上找了一下很多人都出现了这个错误。 有两种原因,一种是没有按照libGL库,那么就安装:sudo apt-get install libgl1-mesa-dev一种是装了,但是路径不对,那么就配置...

Ubuntu安装完Qt后报错error: cannot find -lGL解决办法

我用的Ubuntu系统有Ubuntu12.04以及Ubuntu15.10都碰到过这个问题,安装完Qt以后,运行程序的时候都会报错: :-1: error: cannot find -lGL     ...

QT 编译常见错误:usr/bin/ld: cannot find

QT 编译常见错误:usr/bin/ld: cannot find 问题: 在linux环境编译应用程式或lib的source code时常常会出现如下的错误讯息: /usr/bin...

解决方法:Ubuntu12.04安装Qt5.0后,首次运行,编译失败,提示 can`t find -Igl

产生该问题的原因可能是由于 Qt5.0 默认将OpenGL加入了工程,但是在本机上并没有安装OpenGL,所以通过以下命令行进行安装即可。 1. 安装建立基本编译环境 需要安装编译器与基本的函式库。一...

cannot find -lGL

ubuntu下编译qt5时出现如下错误:cannot find -lGL,安装如下库来解决: sudo apt-get install libglu1-mesa-dev

qt5 cannot find -lGL解决方法

QT5在unbuntu中编译提示错误:qt5 cannot find -lGL 解决方法,在终端中执行: sudo apt-get install libglu1-mesa-dev -y

Qt错误:cannot find -lGL解决方法

错误描述:

Ubuntu 安装OpenGL

OpenGL 是一套由SGI公司发展出来的绘图函式库,它是一组 C 语言的函式,用于 2D 与 3D 图形应用程式的开发上。OpenGL 让程式开发人员不需要考虑到各种显示卡底层运作是否相同的问题,硬...
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:深度学习:神经网络中的前向传播和反向传播算法推导
举报原因:
原因补充:

(最多只允许输入30个字)